# $Revision: 1.29 $, $Date: 2010/08/21 19:09:24 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	HTMLSax
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - a SAX based parser for HTML and other badly formed XML documents
Summary(pl.UTF-8):	%{_pearname} - analizator SAX dla HTML-a i innych źle sformułowanych dokumentów XML
Name:		php-pear-%{_pearname}
Version:	3.0.0
Release:	6
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	73b75ef6d68c74115b6da8d151293633
URL:		http://pear.php.net/package/XML_HTMLSax/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.0.5
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML_HTMLSax is a SAX based XML parser for badly formed XML documents,
such as HTML. The original code base was developed by Alexander Zhukov
and published at http://sourceforge.net/projects/phpshelve/, who in
turn was inspired by the Python HTMLSax package. Alexander kindly gave
permission to modify the code and license for inclusion in PEAR.
PEAR::XML_HTMLSax takes the last release from Sourceforge
(HTMLSax2002082201) and changes the API to make using HTMLSax very
similar to using the native PHP Expat extension, opening it up for use
with projects like SAX filters:
http://phpxmlclasses.sourceforge.net/show_doc.php?class=class_sax_filters.html.
This version also fixes some bugs and adds further features such as
the ability to handle processing instructions and JSP/ASP markup.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
XML_HTMLSax to oparty na SAX analizator XML-a dla źle sformułowanych
dokumentów XML, takich jak HTML. Oryginalny kod został stworzony przez
Alexandra Zhukova i opublikowany pod
http://sourceforge.net/projects/phpshelve/, który z kolei był
inspirowany pakietem HTMLSax dla Pythona. Alexander pozwolił na
modyfikowanie kodu i licencjonowanie do włączenia do PEAR.
PEAR::XML_HTMLSax wywodzi się z ostatniej wersji z Sourceforge
(HTMLSax2002082201) i ma zmienione API, aby można było używać HTMLSax
bardzo podobnie do natywnego rozszerzenia PHP Expat, pozwalając na
używanie w projektach typu filtry SAX:
http://phpxmlclasses.sourceforge.net/show_doc.php?class=class_sax_filters.html.
Ta wersja dodatkowo poprawia kilka błędów i dodaje nowe możliwości,
takie jak obsługa przetwarzania instrukcji i znaczników JSP/ASP.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_HTMLSax.spec,v $
Revision 1.29  2010/08/21 19:09:24  glen
- updated deps with pearize.sh
- release 6

Revision 1.28  2008/01/31 12:17:19  glen
- rel 5

Revision 1.27  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.26  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.25  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.24  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.23  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.22  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.21  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.20  2005/10/27 19:22:29  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.19  2005/10/05 20:59:32  glen
- rel 3

Revision 1.18  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.17  2005/10/01 00:44:20  glen
- new pear packaging

Revision 1.16  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.15  2004/05/30 13:13:54  adamg
- fixed english information about status of the package

Revision 1.14  2004/05/28 20:14:48  adamg
- updated to 3.0.0

Revision 1.13  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.12  2004/02/23 22:09:01  ankry
- pl fixes, cosmetics

Revision 1.11  2003/12/06 22:01:06  adamg
- updated to 2.1.2

Revision 1.10  2003/10/08 14:05:24  adamg
- updated to 2.1.1

Revision 1.9  2003/10/07 20:56:49  adamg
- do not use macros in URL

Revision 1.8  2003/09/10 08:10:24  adamg
- updated to 2.1.0, status changed to stable

Revision 1.7  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.6  2003/08/31 10:40:20  adamg
- updated to 2.0.2

Revision 1.5  2003/08/11 15:08:08  adamg
- updated to 2.0.1, status changed to alpha (mostly BC)

Revision 1.4  2003/07/03 22:50:34  adamg
- updated to 1.1

Revision 1.3  2003/06/08 16:26:12  qboosh
- pl description, cleanups

Revision 1.2  2003/06/08 11:52:15  adamg
- updated to 1.0 (stable)

Revision 1.1  2003/06/03 20:52:06  adamg
- initial import
